<script>

function tabE(obj, e) {
        var e = (typeof event != 'undefined') ? window.event : e; // IE : Moz 
        if (e.keyCode == 13) {
            var ele = document.forms[0].elements;
            for (var i = 0; i < ele.length; i++) {
                var q = (i == ele.length - 1) ? 0 : i + 1; // if last element : if any other 
                if (obj == ele[i]) {
                      ele[q].select();
				      ele[q].focus();
                    break
                }
            }
            return false;
        }
    }
	
	
	
	

window.onkeydown = tecla;

  function tecla(event) {
  if( event.keyCode > 111 && event.keyCode < 123 || event.keyCode ==27	) {    num = event.keyCode;

if(num==113)parent.abreVentana(); // f3  busqueda de clientes 
if(num==115){ parent.ventanaArticulos(); } // f8 busqueda de articulos
if(num==118) {parent.pagar();  }// f7 pago de contado
if(num==120){ parent.ConsultarArticulo();  }//f9 guardar e imprimir
if(num==121){ parent.validar_cabecera();  }//f10 guardar e imprimir 
if(num==27){ 
			document.getElementById("cdgbar").value="";
			document.getElementById("dscart").value="";
			document.getElementById("cantidad").value="";
			document.getElementById("preivi").value="";
			document.getElementById("importe").value="";
			document.getElementById("dcto").value="";
			document.getElementById("descuento").value="";
			document.getElementById("cob_iv").value="";
			
			 parent.document.forms.formulario_lineas.action="frame_lineas_super.php"
			 parent.document.getElementById("formulario_lineas").submit();  }//escape salir
  }  
  }

            /////////   deshabilitar el f5 refrecar del navegador ///////////

//desactivar tecla f5
function f5()
{
var tecla=window.event.keyCode;
if (tecla==116) { event.keyCode=0;
event.returnValue=false;}
}
 


function actualizar_articulo(cdgbar,codfacturatmp,numlinea,cantidad,cliexe,descuento)
{
	
	
	posicion=(numlinea*16)-30;
	parent.document.formulario_lineas.posicion.value=posicion; /// indica la posicion del scroll bar
    var elmnt = document.getElementById("xdetalleAWSUPER2");  // NOMBRE DEL DIV DONDE PERTENECE EL SCROLL 
    elmnt.scrollLeft =posicion; 
    elmnt.scrollTop =posicion;
	
	if (cantidad <=0) {
		
		 alert("Favor verifique cantidad no pueder ser igual o menor a cero")
		  parent.document.getElementById("formulario_lineas").submit();
		 
} else {

document.getElementById("frame_datos3").src="actualizar_articulo.php?codfacturatmp="+codfacturatmp+"&numlinea=" + numlinea+"&cantidad=" + cantidad+"&cdgbar=" + cdgbar +"&cliexe=" + cliexe +"&descuento=" + descuento;
	//location.href="actualizar_articulo.php?codfacturatmp="+codfacturatmp+"&numlinea=" + numlinea+"&cantidad=" + cantidad+"&cdgbar=" + cdgbar;

}}


function  actualizar_articulo_descuento(cdgbar,codfacturatmp,numlinea,descuento,cliexe,cantidad,desmin,desmax)
{
	

		if ( descuento <= desmin ) 
		 {
	 
	document.getElementById("frame_datos3").src="actualizar_articulo.php?codfacturatmp="+codfacturatmp+"&numlinea=" + numlinea+"&cantidad=" + cantidad+"&cdgbar=" + cdgbar +"&cliexe=" + cliexe +"&descuento=" + descuento;

  				
	 }else if  ( descuento >  desmin && descuento  <= desmax ) {
	
		document.getElementById("frame_datos3").src="validar_descuento.php?codfacturatmp="+codfacturatmp+"&numlinea=" + numlinea+"&cantidad=" + cantidad+"&cdgbar=" + cdgbar +"&cliexe=" + cliexe +"&descuento=" + descuento;
 


	 		} else {
			
			alert ("El descuento maximo permitido es "+desmax+" %");
  			parent.document.getElementById("formulario_lineas").submit();
	
			
			 }

}


	
	

					
					


function eliminar_linea(codfacturatmp,numlinea,cliexe)
{
	if (confirm(" Desea eliminar esta linea ? "))

	
		document.getElementById("frame_datos").src="eliminar_linea_super.php?codfacturatmp="+codfacturatmp+"&numlinea=" + numlinea+"&cliexe=" + cliexe;

		
}

function pon_prefijo(filas,subtotal,descuento,impuesto,total,total_dolar,total_verificar,filas_error) {
	
	parent.document.formulario_lineas.filas.value=filas;	
	parent.document.formulario_lineas.subtotal.value=subtotal;
	parent.document.formulario_lineas.descuento2.value=descuento;
	parent.document.formulario_lineas.imp.value=impuesto;
	parent.document.formulario_lineas.total.value=total;
	parent.document.formulario.total2.value=total;
	parent.document.formulario.total_verificar.value=total_verificar;
	parent.document.formulario.total_dolar.value=total_dolar;
	parent.document.formulario.filas_error.value=filas_error;
    parent.document.getElementById("cdgbar").focus();
}

function nobackbutton(){	
   window.location.hash="no-back-button";	
   window.location.hash="Again-No-back-button" //chrome	
   window.onhashchange=function(){window.location.hash="no-back-button";}	
}

function inicio(){
	   		
	parent.document.getElementById("detalle").value;

	
}

  

	function done() { 

             document.getElementById("popup").style.display = "none";
   		     var codfacturatmp = document.getElementById("codfactura").value; 
			 var numlinea = document.getElementById("numlinea").value; 
			 var cantidad = document.getElementById("cantidad").value; 
			 var cdgbar = document.getElementById("cdgbar").value; 
		     var cliexe = document.getElementById("cliexe").value; 
		     var descuento = document.getElementById("descuento").value; 

			 var clades = document.getElementById("clades").value; 
			 var password = document.getElementById("pass").value; 
	         clades=parseInt(clades);
		     password=parseInt(password);
			
			
			 
			 if (clades == password) { 
	//	 alert("lo logre\n\n"+clades+password);

			document.getElementById("frame_datos3").src="actualizar_articulo.php?codfacturatmp="+codfacturatmp+"&numlinea=" + numlinea+"&cantidad=" + cantidad+"&cdgbar=" + cdgbar +"&cliexe=" + cliexe +"&descuento=" + descuento;


			 }else { 
			 
			 alert("Contraseña incorrecta favor verifique");
		     parent.document.getElementById("formulario_lineas").submit();
			 
			}}

	
		
		//nombre del primer campo en la secuencia
siguienteCampo = ""
//nombre del formlario
nombreForm = "form_busqueda"

	
//funcion que gestiona el evento
function TelcaPulsada( e ) {

   if ( window.event != null)				//IE4+
      tecla = window.event.keyCode;
   else if ( e != null ) 				//N4+ o W3C compatibles
      tecla = e.which;
   else
      return;
	
   if (tecla == 13) { 	
			//se pulso enter
      if ( siguienteCampo == 'fin' ) {			//fin de la secuencia, hace el submit		
		validardescuento();	//eliminar este alert para uso normal
		 
         return false					//sustituir por return true para hacer el submit
      } else { 						//da el foco al siguiente campo
	  
		 eval('document.' + nombreForm + '.' + siguienteCampo + '.select()')

         return false
      }
   }
}

document.onkeydown = TelcaPulsada;			//asigna el evento pulsacion tecla a la funcion
if (document.captureEvents)				//netscape es especial: requiere activar la captura del evento
	document.captureEvents(Event.KEYDOWN)



					function inicio() {
    var elmnt = document.getElementById("xdetalleAWSUPER2");
    var posicion=document.getElementById("posicion").value;
    elmnt.scrollLeft =posicion;
    elmnt.scrollTop =posicion;
}

	
	
</script>





<html>
<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
	<body  onKeyDown="javascript:f5()" onLoad="nobackbutton();inicio(); ">
<?php  
include ("../conexion.php");

 $query_parametros="SELECT * FROM web_0000 ";
 $rs_query_parametros=$mysqli->query($query_parametros);

 $row=mysqli_fetch_assoc($rs_query_parametros);

   $tipcamdol= $row["tipcamdol"];
   $clades= $row["clades"];
 
 $codfacturatmp=$_POST["codfacturatmp"];


$retorno=0;
$modif=$_POST["modif"];
$cantnueva=$_POST["cantidad"];		
$filas=0;
$cdgbar=$_POST["cdgbar"];
$cliexe=$_POST["cliexe2"];
$importe=$_POST["importe"];
$posicion=$_POST["posicion"];
 

if ($cdgbar=="") { 
			$cdgbar=0; } 


		$query_busqueda="SELECT count(*) as filas FROM pedidos_lineastmp WHERE codfactura='$codfacturatmp' and codigo=$cdgbar AND pedidos_lineastmp.tipart <> 2  AND importe <> 0.00  ";
		$rs_busqueda=$mysqli->query($query_busqueda);

		$row=mysqli_fetch_assoc($rs_busqueda);

 		 $filas=$row["filas"];
  
if ($filas>0 && $importe <> 0.00) {
	
$sel_lineas="SELECT pedidos_lineastmp.*,web_1001.* FROM pedidos_lineastmp,web_1001 WHERE pedidos_lineastmp.codfactura='$codfacturatmp' AND pedidos_lineastmp.codigo=web_1001.cdgbar AND pedidos_lineastmp.codigo='$cdgbar' AND  pedidos_lineastmp.tipart <> 2  AND pedidos_lineastmp.importe <> 0.00 ORDER BY pedidos_lineastmp.numlinea ASC";
$rs_lineas=$mysqli->query($sel_lineas);


